#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

. "./personal.sh";

# Communication
yay --noconfirm -Syu \
    teams-for-linux-bin \
    ;

# Java
yay --noconfirm -Syu \
    jdk17-temurin \
    gradle \
    jetbrains-toolbox \
    ;

# Note Taking
yay --noconfirm -Syu \
    xournalpp-git \
    rnote \
    ;

# Latex
yay --noconfirm -Syu \
    texlive \
    texlive-langgerman \
    ;

. "../../Common/Config/udev/ct-board.sh";

popd > /dev/null;
