#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;

. "../../Software/gnome-shell-extension-installer/install.sh";
. "../../../Common/Config/GnomeExtensions/install-extension.sh";
yay --noconfirm -Syu jq;

extensions=(
    4907 # EasyEffects Preset Selector  https://extensions.gnome.org/extension/4907/easyeffects-preset-selector/
    1162 # Emoji Selector               https://extensions.gnome.org/extension/1162/emoji-selector/
);

installExtension extensions;

popd > /dev/null;
