#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        yayinst \
            jdk-temurin

        yayinst \
            icedtea-web

        configureSW
    end

    function configureSW
        # Allow execution of huwaei KVM application (uses out of date security mechanisms)
        sudo sed -i \
            "/^jdk.jar.disabledAlgorithms=/{ :comment; s/\(.*\)/#\1/; /\\\\\$/{ n; bcomment; }; }" \
            /usr/lib/jvm/default-runtime/conf/security/java.security
    end

    runInstaller $argv
end
