#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        yayinst qemu-full

        yayinst \
            virtiofsd \
            virt-manager \
            dnsmasq \
            iptables-nft \
            swtpm \
            lxc \
            virt-bootstrap-git

        configureSW
    end

    function configureSW -V dir
        sudo systemctl enable --now libvirtd
        sudo systemctl enable --now virtlogd
        source "$dir/../../../Common/Software/Virtual Machine Manager/main.fish" configure
    end

    runInstaller $argv
end
