#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        yayinst \
            vscodium-bin \
            visual-studio-code-bin

        configureSW
    end

    function configureSW
        set -l bins codium code

        for bin in $bins
            if type -q "$bin"
                echo "--touch-events" | sudo tee /etc/skel/.config/$bin-flags.conf > /dev/null
            end
        end

        source "$dir/../../../Common/Software/vscode/main.fish" configure
    end

    runInstaller $argv
end
