#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;
. "../bash/profile.sh";
. "../fish/profile.sh";
NEXTCLOUD_DIR="${NEXTCLOUD_DIR}";
themeDir="/usr/local/share/oh-my-posh/themes";
sudo install -dm755 "$themeDir";
cat ~/.mnt/$NEXTCLOUD_DIR/.omp/manuel.omp.json | sudo tee "$themeDir/manuel.omp.json" > /dev/null;

{
    echo 'eval "$(oh-my-posh init bash)"';
    echo 'eval "$(oh-my-posh completion bash)"';
} | addBashProfile "oh-my-posh" "Oh My Posh!";

{
    echo "oh-my-posh init fish | source";
    echo "oh-my-posh completion fish | source";
} | addFishProfile "oh-my-posh" "Oh My Posh!";

sudo pwsh -NoProfile ./install.ps1;

popd > /dev/null;
