#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function configureSW -V dir -a scope
        if [ "$scope" = "user" ]
            set -l configFile ~/.config/nix/nix.conf
            mkdir -p (dirname "$configFile")
            cp "$dir/../../../../archiso/airootfs/root/.config/nix/nix.conf" "$configFile"
        else
            sudo nix-channel --add https://nixos.org/channels/nixpkgs-unstable
            sudo nix-channel --update
        end
    end

    runInstaller $argv
end
