#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"
    source "$dir/../../../Common/Software/aliae/main.fish"

    function configureSW
        set -l bins codium codium-insiders code code-insiders
        set -l extensions zokugun.{sync-settings,vsix-manager}

        for bin in $bins
            if type -q "$bin"
                for extension in $extensions
                    "$bin" --install-extension "$extension"
                end
            end
        end
    end

    runInstaller $argv
end
