#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Scripts/software.fish"

    function installSW
        configureSW
    end

    function configureSW -V dir
        source "$dir/../bash/profile.fish"
        source "$dir/../fish/profile.fish"
        echo 'eval "$(zoxide init bash)"' | installBashProfile "zoxide"
        echo "zoxide init fish | source" | installFishProfile "zoxide"
        sudo pwsh -NoProfile "$dir/install.ps1"
    end

    runInstaller $argv
end
