#!/bin/pwsh
param($context)
Write-Host "Configuring file explorer";

$action = {
    param([Microsoft.Win32.RegistryKey] $userKey)

    $path = $userKey.PSPath;
    Set-ItemProperty "$path\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced" -Name "HideFileExt" -Value 0 -Type "DWord";
}

$context.ProcessDefaultUserKey($action);
