[System.Net.ServicePointManager]::SecurityProtocol = [System.Net.ServicePointManager]::SecurityProtocol -bor 3072;
Invoke-Expression ((New-Object System.Net.WebClient).DownloadString('https://community.chocolatey.org/install.ps1'));

Import-Module $env:ChocolateyInstall/helpers/chocolateyProfile.psm1;

choco install -y git --params='/WindowsTerminalProfile /DefaultBranchName:main';
choco install -y powershell-core --install-arguments='"ADD_FILE_CONTEXT_MENU_RUNPOWERSHELL=1 ADD_EXPLORER_CONTEXT_MENU_OPENPOWERSHELL=1 REGISTER_MANIFEST=1 USE_MU=1 ENABLE_MU=1"';
refreshenv;

Set-Location C:/;
git clone https://git.nuth.ch/manuth/PortValhalla.git;
Set-Location PortValhalla;
pwsh -Command { . ./scripts/Windows/Software/winget/install.ps1; Install-Winget };
