#!/bin/pwsh
$null = New-Module {
    . "$PSScriptRoot/../../../scripts/Windows/Scripts/Context.ps1";
    . "$PSScriptRoot/../../../scripts/Windows/OS/Manage.ps1";

    Write-Host "Starting Backup of Windows";
    $context = [Context]::new();
    $context.BackupName = $env:BACKUP_NAME ?? $(Read-Host -Prompt "Please enter a backup name");
    Backup-WindowsInstallation $context;
}
