#!/bin/env fish
begin
    set -l dir (status dirname)

    function installDrivers -V dir -S
        source "$dir/../../../scripts/Common/Scripts/config.fish"
        pacstrap -K (getConfig valhalla.partition.rootDir) linux-firmware-marvell;
    end

    function getInstallerScript -V dir -S
        echo "$dir/install.fish"
    end

    CONFIG_MODULE="$(status dirname)/config.nix" \
    ARCH_HOSTNAME="manu-surface" \
    USER_DISPLAYNAME="Manuel Thalmann" \
        source "$(status dirname)/../../../scripts/Arch/OS/setup.fish";
end
