#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../Common/Scripts/software.fish"

    function yayinst -d "Install yay-package non-interactively"
        yay --noconfirm --needed --answerclean=None --answerdiff=None -Syu $argv
    end

    function pacinst -d "Install pacman-package non-interactively"
        sudo pacman --noconfirm --needed -Syu $argv
    end
end
