#!/bin/bash
contextRoot="$(mktemp -d)";
pushd "$contextRoot" > /dev/null;
sudo apt install -y swtpm swtpm-tools lxc libvirt-daemon-driver-lxc libvirt-daemon-system virt-manager;

sudo apt install -y python3 python-is-python3 python3-guestfs python3-passlib;
git clone https://github.com/virt-manager/virt-bootstrap;
cd virt-bootstrap;
sudo python setup.py install;
popd > /dev/null;
rm -rf "$contextRoot";
