#!/bin/bash
pushd "${BASH_SOURCE%/*}" > /dev/null;
configPath="/etc/aliae/aliae.yml";

. "../../../Common/Config/aliae/install.sh";
. "../../../Common/Config/fish/profile.sh";
sudo install -Dm644 "../../../Common/Software/aliae/aliae.yml" "$configPath";

function dump_header() {
    echo "# aliae";
}

function dump_bash() {
    echo "#!/bin/bash";
    dump_header;
}

{
    dump_bash;
    echo "export ALIAE_CONFIG='$configPath'";
} | sudo tee /etc/profile.d/aliae.sh > /dev/null;

{
    echo "aliae init fish | source";
    echo "aliae completion fish | source";
} | addFishProfile "aliae" "aliae";

popd > /dev/null;
